Version Compatibilityedit

Important

Each listed version of Elasticsearch Curator has been fully tested against unmodified release versions of Elasticsearch. Modified versions of Elasticsearch may not be fully supported.

The current version of Curator is 5.2.0

Curator VersionES 1.xES 2.xES 5.x

          3

  ✅ [a]

  ✅ [a]

  ❌

          4

  ❌

  ✅ [b]

  ✅ [c]

          5

  ❌

  ❌

  ✅[a]

[a] Curator is unable to make snapshots for modified versions of ES which do not allow access to the snapshot status API endpoint. As a result, Curator is unable to make snapshots in AWS ES.

[b] AWS ES (which is different from installing Elasticsearch on your own EC2 instances) version 5.3 officially supports Curator. If using an older version of AWS ES, please see the FAQ question, Why doesn’t Curator work with AWS Elasticsearch?

[c] Not all of the APIs available in Elasticsearch 5 are available in Curator 4.

Learn more about the different versions at: